﻿@model ProgramParentsEmailViewModel
@{
    Layout = null;
}

<form name="ParticipantEmail" novalidate >
    <div class="view-container">
        <div class="title-bar">
            <div class="back">
                <a class="action" onclick="window.history.back()">
                    <i class="icon-arrow-left fg-black"></i>
                </a>
            </div>
            <div class="title">
                <h1 ng-show="Model.IsConfirmation">
                    Confirmation email
                </h1>
                <h1 ng-show="!Model.IsConfirmation">
                    Cancellation email
                </h1>
            </div>
            <div class="actions">
            </div>
            <div class="clearfix"></div>
            <hr />
        </div>
        <fieldset>
            <legend>Recipients</legend>
            <span class="message"><button type="button" class="default" id="editRecipients" ng-click="editRecipients()">Click here</button> to view recipient list.</span>
        </fieldset>
        <fieldset>
            <label class="req-star">Subject</label>
            <div class="input-control text "   data-role="input-control" @Html.AngValidationClassFor(model => model.Subject)>
                <input type="text" ng-disabled="true" id="SubjectNotification" ng-model="@Html.Ang(m => m.Subject)" @Html.AngTooltipValidationFor(model => model.Subject)>
            </div>
        </fieldset>

        <fieldset>
            <legend>Email body</legend>
            <label>Choose email style</label>
            <div class="input-control select" data-role="input-control">
                <div>
                    <div class="input-control radio">
                        <div class="input-control radio default-style place-left no-margin" data-role="input-control">
                            <label class="block">
                                <input ng-model="Model.EmailStyle" id="PlainText"  name="emailStyle" value="Text" type="radio" />
                                <span class="check"></span>
                                Plain text<br />
                                <p><i>Send campaign with a simple plain-text email.</i></p>
                            </label>
                        </div>
                        <br />
                        <div class="input-control radio default-style place-left no-margin" data-role="input-control">
                            <label class="block">
                                <input ng-model="Model.EmailStyle" name="emailStyle" id="HTML" value="Template" type="radio" />
                                <span class="check"></span>
                                HTML<br />
                                <p><i>Send campaign with a HTML template.</i></p>
                            </label>
                        </div>
                    </div>
                    <hr />
                    <div class="clearfix"></div>
                </div>
            </div>

            <div ng-show="Model.EmailStyle == 'Template'">
                <label>Choose from template</label>
                <div class="input-control select" data-role="input-control" @Html.AngValidationClassFor(model => model.SelectedTemplateId)>
                    <div @Html.AngTooltipValidationFor(model => model.SelectedTemplateId)>
                        <select  ng-model="Model.SelectedTemplateId"
                                ng-change="ChangeTemplate(Model.SelectedTemplateId)"
                                ng-options="temp.Value as temp.Text for temp in Model.TemplateNames" id="Templates"></select>
                    </div>
                </div>
                <div ng-show="Model.SelectedTemplateId == '0'">
                    <label class="req-star">New template name</label>
                    <div class="input-control text"  data-role="input-control" @Html.AngValidationClass("MailTemplate.NewName")>
                        <input type="text" id="NewName" ng-model="Model.MailTemplate.NewName" @Html.AngTooltipValidation("MailTemplate.NewName")>
                    </div>
                </div>
                <div class="clearfix margin-bottom20"></div>

                <div data-role="input-control">
                    <div ng-include="'/Dashboard/_EmailCampaignTemplateDesigner'"></div>
                </div>
            </div>
           
            <div ng-show="Model.EmailStyle == 'Text'">
                <div class="editor-body" id="bodyeditor" ng-class="{'error-state':MC.isEmpty(errors.formErrors['model.Body'].Messages)}">
                    <div ng-hide="MC.stateParams.templateId || MC.stateParams.templateId == ''" data-toggle="tooltip" data-placement="top" data-original-title="{{MC.joinStringsWithBreak(errors.formErrors['model.Body'].Messages)}}" jb-tooltip data-html="true">
                        <textarea id="editor" kendo-editor k-tools="['fontName','bold','italic','underline','strikethrough','fontSize','justifyLeft','justifyCenter','justifyRight','justifyFull','foreColor','insertUnorderedList','insertOrderedList','indent','outdent','createLink','unlink','insertImage','cleanFormatting','backColor']" k-ng-model="Model.Body"></textarea>
                    </div>
                </div>
            </div>

        </fieldset>
        <hr />
        <a class="place-left button link large" id="CancelNotification" ui-sref='ProgramsReview({seasonDomain: MC.stateParams.seasonDomain})'>Cancel</a>
     
        <button type="submit" style="font-size: 16.5px !important;" class="success large place-right button" id="SendNotification" ng-click="SendEmail()">Send</button>
        <div >
            <button style="margin-right: 9px;" id="btn_AddSchool" class="info place-right large inline-block button" ng-click="ShowTestEmailBox(true)" ng-if="!RemoveBtn_testEmail">Send test email</button>
            <button ng-if="ShowTestEmail" id="btn_sendTestEmail" style="margin-right: 9px;font-size: 16.5px !important;"  class="btn success large place-right inline-block" ng-click="SendTestEmail()">Send test email</button>
            <button ng-if="ShowTestEmail" id="btn_cancelTestEmail" style="font-size: 16.5px !important;"  class="btn place-right large inline-block" ng-click="cancelTestEmail()">Cancel</button>
            <div style="max-width: 376px;float: right; margin-right: 10px;" class="input-control text " @Html.AngValidationClassFor(model => model.TestEmail) data-role="input-control" ng-if="ShowTestEmail">
                <input type="text"  id="TestEmailNotification" style="height: 39px !important;"  ng-model="@Html.Ang(m => m.TestEmail)" @Html.AngTooltipValidationFor(model => model.TestEmail)>
            </div>
        </div>
        <div class="clearfix"></div>
    </div>
</form>